import Logger from "../utils/Logger.js";
import GameManager from "./GameManager.js";
import GameRenderer from "./GameRenderer.js";

var canvas, provider;

function init(options) {
  Logger.log("Starting StarGazer game");
  canvas = options.canvas;
  GameRenderer.start({
    canvas: canvas,
    frameRate: options.fps,
    version: options.version,
    debug: options.showDebug,
    width: options.width,
    height: options.height,
  });
  provider = options.gazeDataProvider;
  provider.addEventListener("dataavailable", onGazeUpdate);
}

function onGazeUpdate(event) {
  let gazePoint = event.data;
  gazePoint.linkTo(canvas);
  if (gazePoint.hasLink) {
    GameRenderer.addGazePoint(gazePoint);
  }
}

export default {
  init: init,
};